IOSS 2.0

Functions | Variables
anonymous_namespace{io_info.C} Namespace Reference

## Functions
void | info_nodeblock (Ioss::Region &region, const Info::Interface &interface)
void | info_edgeblock (Ioss::Region &region)
void | info_faceblock (Ioss::Region &region)
void | info_elementblock (Ioss::Region &region, const Info::Interface &interface)
void | info_structuredblock (Ioss::Region &region, const Info::Interface &interface)
void | info_nodesets (Ioss::Region &region)
void | info_edgesets (Ioss::Region &region)
void | info_facesets (Ioss::Region &region)
void | info_elementsets (Ioss::Region &region)
void | info_sidesets (Ioss::Region &region, const Info::Interface &interface)
void | info_coordinate_frames (Ioss::Region &region)
void | info_aliases (Ioss::Region &region, Ioss::GroupingEntity *ige, bool nl_pre, bool nl_post)
void | info_fields (Ioss::GroupingEntity *ige, Ioss::Field::RoleType role, const std::string &header)
void | file_info (const Info::Interface &interface)
void | group_info (Info::Interface &interface)
void | info_df (const Ioss::GroupingEntity *ge, const std::string &prefix)
std::string | name (Ioss::GroupingEntity *entity)
int64_t | id (Ioss::GroupingEntity *entity)
Ioss::PropertyManager | set_properties (const Info::Interface &interface)
void | element_volume (Ioss::Region &region)
int | print_groups (int exoid, std::string prefix)

## Variables
std::vector< char > | data

## Function Documentation

## ◆ element_volume()

void anonymous_namespace{io_info.C}::element_volume | ( | Ioss::Region & | region | ) |

## ◆ file_info()

void anonymous_namespace{io_info.C}::file_info | ( | const Info::Interface & | interface | ) |

## ◆ group_info()

void anonymous_namespace{io_info.C}::group_info | ( | Info::Interface & | interface | ) |

## ◆ id()

int64_t anonymous_namespace{io_info.C}::id | ( | Ioss::GroupingEntity * | entity | ) |

## ◆ info_aliases()

void anonymous_namespace{io_info.C}::info_aliases | ( | Ioss::Region & | region,
|  | Ioss::GroupingEntity * | ige,
|  | bool | nl_pre,
|  | bool | nl_post
| ) |  |

## ◆ info_coordinate_frames()

void anonymous_namespace{io_info.C}::info_coordinate_frames | ( | Ioss::Region & | region | ) |

## ◆ info_df()

void anonymous_namespace{io_info.C}::info_df | ( | const Ioss::GroupingEntity * | ge,
|  | const std::string & | prefix
| ) |  |

## ◆ info_edgeblock()

void anonymous_namespace{io_info.C}::info_edgeblock | ( | Ioss::Region & | region | ) |

## ◆ info_edgesets()

void anonymous_namespace{io_info.C}::info_edgesets | ( | Ioss::Region & | region | ) |

## ◆ info_elementblock()

void anonymous_namespace{io_info.C}::info_elementblock | ( | Ioss::Region & | region,
|  | const Info::Interface & | interface
| ) |  |

## ◆ info_elementsets()

void anonymous_namespace{io_info.C}::info_elementsets | ( | Ioss::Region & | region | ) |

## ◆ info_faceblock()

void anonymous_namespace{io_info.C}::info_faceblock | ( | Ioss::Region & | region | ) |

## ◆ info_facesets()

void anonymous_namespace{io_info.C}::info_facesets | ( | Ioss::Region & | region | ) |

## ◆ info_fields()

void anonymous_namespace{io_info.C}::info_fields | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::Field::RoleType | role,
|  | const std::string & | header
| ) |  |

## ◆ info_nodeblock()

void anonymous_namespace{io_info.C}::info_nodeblock | ( | Ioss::Region & | region,
|  | const Info::Interface & | interface
| ) |  |

## ◆ info_nodesets()

void anonymous_namespace{io_info.C}::info_nodesets | ( | Ioss::Region & | region | ) |

## ◆ info_sidesets()

void anonymous_namespace{io_info.C}::info_sidesets | ( | Ioss::Region & | region,
|  | const Info::Interface & | interface
| ) |  |

## ◆ info_structuredblock()

void anonymous_namespace{io_info.C}::info_structuredblock | ( | Ioss::Region & | region,
|  | const Info::Interface & | interface
| ) |  |

## ◆ name()

std::string anonymous_namespace{io_info.C}::name | ( | Ioss::GroupingEntity * | entity | ) |

## ◆ print_groups()

int anonymous_namespace{io_info.C}::print_groups | ( | int | exoid,
|  | std::string | prefix
| ) |  |

## ◆ set_properties()

Ioss::PropertyManager anonymous_namespace{io_info.C}::set_properties | ( | const Info::Interface & | interface | ) |

## Variable Documentation

## ◆ data

std::vector<char> anonymous_namespace{io_info.C}::data